// Sample6_ExternalResourcesEmbeddingDlg.h : header file
//

#pragma once


// CSample6_ExternalResourcesEmbeddingDlg dialog
class CSample6_ExternalResourcesEmbeddingDlg : public CDialog
{
private:
	HWND m_hwndFlashPlayerControl;

// Construction
public:
	CSample6_ExternalResourcesEmbeddingDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_SAMPLE6_EXTERNALRESOURCESEMBEDDING_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
public:
	afx_msg void OnBnClickedSite();
	afx_msg void OnBnClickedOrder();
};
